#ifndef I_CONTROLLABLE_H
#define I_CONTROLLABLE_H

//===============IControllable class====================

/// \author silhavyj A17B0362P
///
/// This class works as an interface for all classes
/// (contollers) that are supposed to be updated
/// periodically from the main sketch (main.cpp).
/// In the main.cpp, they are all stored in a collection
/// from which the update method is called.
class IControllable {
public:
    /// Updates the class (controller)
    virtual void update() = 0;
};

#endif