<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>ALeakDetectable.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>de/dcf/_a_leak_detectable_8h.html</filename>
    <includes id="dc/d7d/_pulse_counter_8h" name="PulseCounter.h" local="yes" imported="no">PulseCounter.h</includes>
    <includes id="d9/dc6/_leak_detection_config_8h" name="LeakDetectionConfig.h" local="yes" imported="no">LeakDetectionConfig.h</includes>
    <includes id="df/d35/_limits_definition_8h" name="LimitsDefinition.h" local="yes" imported="no">LimitsDefinition.h</includes>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="d4/d0f/_pins_8h" name="Pins.h" local="yes" imported="no">Pins.h</includes>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="no" imported="no">HTMLDataSource.h</includes>
    <includes id="d0/d97/_i_displayable_8h" name="IDisplayable.h" local="no" imported="no">IDisplayable.h</includes>
    <class kind="class">ALeakDetectable</class>
  </compound>
  <compound kind="file">
    <name>Button.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d2/daa/_button_8h.html</filename>
    <class kind="class">Button</class>
  </compound>
  <compound kind="file">
    <name>Consumption.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d4/daf/_consumption_8h.html</filename>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="dc/d7d/_pulse_counter_8h" name="PulseCounter.h" local="yes" imported="no">PulseCounter.h</includes>
    <class kind="class">Consumption</class>
  </compound>
  <compound kind="file">
    <name>DailyOverview.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>db/d61/_daily_overview_8h.html</filename>
    <includes id="d8/d86/_i_controllable_8h" name="IControllable.h" local="yes" imported="no">IControllable.h</includes>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="d9/dc9/_high_leak_detection_8h" name="HighLeakDetection.h" local="yes" imported="no">HighLeakDetection.h</includes>
    <includes id="d1/d80/_low_leak_detection_8h" name="LowLeakDetection.h" local="yes" imported="no">LowLeakDetection.h</includes>
    <includes id="d2/d3b/_total_leak_detection_8h" name="TotalLeakDetection.h" local="yes" imported="no">TotalLeakDetection.h</includes>
    <includes id="d4/daf/_consumption_8h" name="Consumption.h" local="yes" imported="no">Consumption.h</includes>
    <includes id="d8/de4/_email_sender_8h" name="EmailSender.h" local="yes" imported="no">EmailSender.h</includes>
    <includes id="df/d35/_limits_definition_8h" name="LimitsDefinition.h" local="yes" imported="no">LimitsDefinition.h</includes>
    <class kind="class">DailyOverview</class>
  </compound>
  <compound kind="file">
    <name>DateTime.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>df/da8/_date_time_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="no" imported="no">HTMLDataSource.h</includes>
    <class kind="class">DateTime</class>
    <member kind="define">
      <type>#define</type>
      <name>DELTA_TIME</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a1a7ea374ca68d7ede3430c8392d94cd5</anchor>
      <arglist>(time1, time2)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MILLIS_PER_SEC</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a82b44c49ed42f39675733897b268e8b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SECS_PER_MIN</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a5e7d1008e5b26253223a67794b77a806</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MINS_PER_HOUR</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a4a21c8d3a60a44554ab700eac56880c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HOURS_PER_DAY</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>ab6e4646c1e386028708330569ee98f64</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MILLIS_PER_MIN</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>aa918cc92a207919d9bf85e9c77676b89</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MILLIS_PER_HOD</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a6ee91bf8afa650479da7352b5a6bcadd</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MILLIS_PER_DAY</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>ab7ca250b8562285400498c99c3e56f29</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SEC_TO_MILLIS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a1249f610fb6558708b79a1ce9ba7d478</anchor>
      <arglist>(s)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MIN_TO_MILLIS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a4afddca754679ffdfa4dd58704124b6f</anchor>
      <arglist>(m)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HOD_TO_MILLIS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a62ddca7df8de99e760ccd8bd309a7cfa</anchor>
      <arglist>(h)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DAY_TO_MILLIS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a0c4a785ce165c77fe303d0cc61c6e262</anchor>
      <arglist>(d)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MILLIS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a8fe5a72b26b9b1f1a54bd02af837b3da</anchor>
      <arglist>(time)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SECS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a8f72e76fd2286966ad6d625df53fab4b</anchor>
      <arglist>(time)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MINS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a8d717f12c721b924e98b13ec497fc731</anchor>
      <arglist>(time)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HOURS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>accb183ee67780e38820b7f2737bc2dbf</anchor>
      <arglist>(time)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DAYS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a6c74eb0fc9ef79af8d08563a1408ce78</anchor>
      <arglist>(time)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>FORMAT_2_DIGITS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>a3cbd4f3afc06ed7e922e4c9be52e3096</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>FORMAT_3_DIGITS</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>aac4364d7c21c9761b096d6338a3dbc04</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>FORMAT_TIME</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>ab6bdc2bc634a1313cb7afc9c9cde8a41</anchor>
      <arglist>(time)</arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>time_t</name>
      <anchorfile>df/da8/_date_time_8h.html</anchorfile>
      <anchor>aec517130c026730881898750d76e596f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>EmailSender.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d8/de4/_email_sender_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="no" imported="no">HTMLDataSource.h</includes>
    <class kind="class">EmailSender</class>
    <member kind="define">
      <type>#define</type>
      <name>arduinoIP</name>
      <anchorfile>d8/de4/_email_sender_8h.html</anchorfile>
      <anchor>ada2547b2541aa0abadf94c78b0643393</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SMTPServerAddress</name>
      <anchorfile>d8/de4/_email_sender_8h.html</anchorfile>
      <anchor>a8337eaf47bafad6d89acec770b6cb3b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SMTPServerPort</name>
      <anchorfile>d8/de4/_email_sender_8h.html</anchorfile>
      <anchor>adb6f4184f8c8081339f964fb8b18fcf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>emailAddress</name>
      <anchorfile>d8/de4/_email_sender_8h.html</anchorfile>
      <anchor>a08f0a1f6743f4d82b42af215a09c3f96</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>auth64Login</name>
      <anchorfile>d8/de4/_email_sender_8h.html</anchorfile>
      <anchor>a83a63f0e525a45cae6a101e3e68f3e66</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>auth64Pass</name>
      <anchorfile>d8/de4/_email_sender_8h.html</anchorfile>
      <anchor>ae0df88e158cb861558299ed2f9b89c2b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FreeMemoryMeasurement.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d2/dec/_free_memory_measurement_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="no" imported="no">HTMLDataSource.h</includes>
    <includes id="d0/d97/_i_displayable_8h" name="IDisplayable.h" local="no" imported="no">IDisplayable.h</includes>
    <class kind="class">FreeMemoryMeasurement</class>
    <member kind="variable">
      <type>char *</type>
      <name>__brkval</name>
      <anchorfile>d2/dec/_free_memory_measurement_8h.html</anchorfile>
      <anchor>ad193a2cc121e0d4614a1c21eb463fb56</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>HighLeakDetection.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d9/dc9/_high_leak_detection_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="de/dcf/_a_leak_detectable_8h" name="ALeakDetectable.h" local="yes" imported="no">ALeakDetectable.h</includes>
    <class kind="class">HighLeakDetection</class>
  </compound>
  <compound kind="file">
    <name>HTMLDataSource.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d9/dde/_h_t_m_l_data_source_8h.html</filename>
    <class kind="class">HTMLDataSource</class>
  </compound>
  <compound kind="file">
    <name>IControllable.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d8/d86/_i_controllable_8h.html</filename>
    <class kind="class">IControllable</class>
  </compound>
  <compound kind="file">
    <name>IDisplayable.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d0/d97/_i_displayable_8h.html</filename>
    <class kind="class">IDisplayable</class>
  </compound>
  <compound kind="file">
    <name>ILoggable.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d1/d13/_i_loggable_8h.html</filename>
    <class kind="class">ILoggable</class>
  </compound>
  <compound kind="file">
    <name>LCDController.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d5/d3c/_l_c_d_controller_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="d4/ded/_time_period_8h" name="TimePeriod.h" local="yes" imported="no">TimePeriod.h</includes>
    <includes id="d8/d86/_i_controllable_8h" name="IControllable.h" local="yes" imported="no">IControllable.h</includes>
    <includes id="d0/d97/_i_displayable_8h" name="IDisplayable.h" local="yes" imported="no">IDisplayable.h</includes>
    <class kind="class">LCDController</class>
    <member kind="define">
      <type>#define</type>
      <name>LCD_ROWS</name>
      <anchorfile>d5/d3c/_l_c_d_controller_8h.html</anchorfile>
      <anchor>a9a59fc4d524d3519a6bd0cb451850a65</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>LeakDetectionConfig.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d9/dc6/_leak_detection_config_8h.html</filename>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="dc/d7d/_pulse_counter_8h" name="PulseCounter.h" local="yes" imported="no">PulseCounter.h</includes>
    <class kind="struct">LeakDetectionConfig_t</class>
  </compound>
  <compound kind="file">
    <name>LeaksController.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>de/d65/_leaks_controller_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="d4/d0f/_pins_8h" name="Pins.h" local="yes" imported="no">Pins.h</includes>
    <includes id="d2/daa/_button_8h" name="Button.h" local="yes" imported="no">Button.h</includes>
    <includes id="d8/d86/_i_controllable_8h" name="IControllable.h" local="yes" imported="no">IControllable.h</includes>
    <includes id="de/dcf/_a_leak_detectable_8h" name="ALeakDetectable.h" local="yes" imported="no">ALeakDetectable.h</includes>
    <includes id="dc/d7d/_pulse_counter_8h" name="PulseCounter.h" local="yes" imported="no">PulseCounter.h</includes>
    <includes id="df/d35/_limits_definition_8h" name="LimitsDefinition.h" local="yes" imported="no">LimitsDefinition.h</includes>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="no" imported="no">HTMLDataSource.h</includes>
    <includes id="d4/daf/_consumption_8h" name="Consumption.h" local="no" imported="no">Consumption.h</includes>
    <includes id="d0/d97/_i_displayable_8h" name="IDisplayable.h" local="no" imported="no">IDisplayable.h</includes>
    <class kind="class">LeaksController</class>
  </compound>
  <compound kind="file">
    <name>LimitsDefinition.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>df/d35/_limits_definition_8h.html</filename>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>LITER_TO_PULSE</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>af5aff0f710f6161b478b8957e3dcffe2</anchor>
      <arglist>(l)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PULSE_TO_LITER</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>aebce245169a8243b54537180d5351705</anchor>
      <arglist>(p)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>UNUSED</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>addf5ec070e9499d36b7f2009ce736076</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HIGH_LEAK_RESET_TIME</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>abb0e0cdd673eeb16575d2a8ff55d7038</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HIGH_LEAK_LIMIT_ACTION</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>ac9eed4ca59ca69735614ab766e4e32a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LOW_LEAK_RESET_TIME</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>a4753d0547bafe2a2d80b1ed371fa63f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LOW_LEAK_LIMIT_ACTION</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>a13da8e9e362e4fcce390904bb118aae9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TOTAL_LEAK_RESET_TIME</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>ae8aec71102e6c4fa5d054bce3826a02a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TOTAL_LEAK_LIMIT_ACTION</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>ab6c4243c67f65c36d52c2dd77276873a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HIGH_LEAK_NORMAL_DEFAULT_CONFIG</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>adbe298746a41cd472d5de6f6357305fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LOW_LEAK_NORMAL_DEFAULT_CONFIG</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>aacd9414c5dfa77b178ddd731d3db980c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TOTAL_LEAK_NORMAL_DEFAULT_CONFIG</name>
      <anchorfile>df/d35/_limits_definition_8h.html</anchorfile>
      <anchor>a517055c497f1a08f6cc0dc0cbceacc0d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Logger.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d6/dec/_logger_8h.html</filename>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="d4/ded/_time_period_8h" name="TimePeriod.h" local="yes" imported="no">TimePeriod.h</includes>
    <includes id="d1/d13/_i_loggable_8h" name="ILoggable.h" local="yes" imported="no">ILoggable.h</includes>
    <includes id="d8/d86/_i_controllable_8h" name="IControllable.h" local="yes" imported="no">IControllable.h</includes>
    <class kind="class">Logger</class>
    <member kind="define">
      <type>#define</type>
      <name>LOG_PERIOD</name>
      <anchorfile>d6/dec/_logger_8h.html</anchorfile>
      <anchor>a6634058af4a5d5c152a25bd568e3f8e5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>LowLeakDetection.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d1/d80/_low_leak_detection_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="de/dcf/_a_leak_detectable_8h" name="ALeakDetectable.h" local="yes" imported="no">ALeakDetectable.h</includes>
    <class kind="class">LowLeakDetection</class>
  </compound>
  <compound kind="file">
    <name>Pins.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d4/d0f/_pins_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>SENSOR_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a18f465739f27d321f5486101919a72f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VALVE_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a9d9daf9f542b99a53806e892a9a66518</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VALVE_LED_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a0433e69f7db1d69f6a90b0e305033953</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VALVE_MANUAL_CLOSE_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a8454cfc06c636b0900e927a17391de5e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>RESET_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a08bca59db4b190eaaea4d47b7562869c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HOME_ALARM_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a177a247eedb327767633634c3f36fe15</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HIGH_BYPASS_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a70043a3ec3945e5f74edd0e02a464a71</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HIGH_ILOCK_LED_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a62d6d52b12aa58949a67f1c8c5ebfcbf</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LOW_BYPASS_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>adb0abf7d556ed4a4b9db8847a7f1f7c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LOW_ILOCK_LED_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>aa47843cada22c39a4aff60f83dd6f2fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TOTAL_BYPASS_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a65340d3a927bb2480bbac36acbf73d0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TOTAL_ILOCK_LED_PIN</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>a33808293bf917967995de85e8e770f9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CONFIG_PINS</name>
      <anchorfile>d4/d0f/_pins_8h.html</anchorfile>
      <anchor>ab91468fc2a8d8c421b740136b2423e9f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>PulseCounter.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>dc/d7d/_pulse_counter_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="no" imported="no">HTMLDataSource.h</includes>
    <class kind="class">PulseCounter</class>
  </compound>
  <compound kind="file">
    <name>PulseGenerator.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>dd/d53/_pulse_generator_8h.html</filename>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <class kind="class">PulseGenerator</class>
  </compound>
  <compound kind="file">
    <name>Setup.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>de/d93/_setup_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>WEB_SERVER</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>a9d7bb7925ff5fa258399011c8259fcfa</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LCD_DISPLAY</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>a2c7a7c5f1e8d3ba50a9a457495db6432</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SENSOR_PULSE_IN_LITERS</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>aed96448678fd373810a73e121b28bcf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DAILY_OVERVIEW_INIT_HOUR</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>ae093bedf1dd897b0b3eeb06269c596e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DAILY_OVERVIEW_INIT_MIN</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>a1c4ae0bbfa9fb73a38540c8b964d0658</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SERIAL_BAUD_RATE</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>ad89976cc0b5340110179f6ce40df3028</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SETTINGS_FILE_NAME</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>a22675546c490e1610250c14003ddd67c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>BACKUP_SETTINGS_FILE_NAME</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>a5479fef7d73ed6931b08ff494f51de45</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SS_SD_CARD</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>af5815b5fb8775109d7260e323411366d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SS_ETHERNET</name>
      <anchorfile>de/d93/_setup_8h.html</anchorfile>
      <anchor>a2e0a043e360e917aae14cf26dc61fb51</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>TimePeriod.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d4/ded/_time_period_8h.html</filename>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <class kind="class">TimePeriod</class>
  </compound>
  <compound kind="file">
    <name>TotalLeakDetection.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>d2/d3b/_total_leak_detection_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="d9/dc9/_high_leak_detection_8h" name="HighLeakDetection.h" local="yes" imported="no">HighLeakDetection.h</includes>
    <class kind="class">TotalLeakDetection</class>
  </compound>
  <compound kind="file">
    <name>WebServer.h</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/include/</path>
    <filename>df/dec/_web_server_8h.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="yes" imported="no">HTMLDataSource.h</includes>
    <includes id="d8/d86/_i_controllable_8h" name="IControllable.h" local="yes" imported="no">IControllable.h</includes>
    <includes id="de/d65/_leaks_controller_8h" name="LeaksController.h" local="yes" imported="no">LeaksController.h</includes>
    <includes id="d8/de4/_email_sender_8h" name="EmailSender.h" local="yes" imported="no">EmailSender.h</includes>
    <class kind="class">WebServer</class>
    <member kind="define">
      <type>#define</type>
      <name>DATA_PREF</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>a7de0b0e1c28656a959297fe711207a07</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DATA_POST</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>a18c8c2dc4ab8add058c7d23726bd4976</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INDEX_FILE_NAME</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>aed65d62c7f93f624ab28027d718f60a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>OUT_OF_RANGE_ERR</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>ae7ec16424e289b2df9701c5f864d0307</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MAX_HTTP_RQ_LENGTH</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>ad760dfd7a8edbb84bb86fa07c044c3e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HTTP_RQ_GET_START</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>a081bdb8cb9d338892d4e3526958b70de</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HTTP_RQ_SETTINGS</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>a971b0f0c10039348dc47f75c0454d28f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HTTP_RQ_NOTIFICATION</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>a9300d3f22f23d0de8713a28ee6602738</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HTTP_RQ_SEPARATOR</name>
      <anchorfile>df/dec/_web_server_8h.html</anchorfile>
      <anchor>a50a04427947929c8a2e0fd5de7ae579a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ALeakDetectable.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>dc/dff/_a_leak_detectable_8cpp.html</filename>
    <includes id="de/dcf/_a_leak_detectable_8h" name="ALeakDetectable.h" local="yes" imported="no">ALeakDetectable.h</includes>
  </compound>
  <compound kind="file">
    <name>Button.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d5/d4d/_button_8cpp.html</filename>
    <includes id="d2/daa/_button_8h" name="Button.h" local="yes" imported="no">Button.h</includes>
  </compound>
  <compound kind="file">
    <name>Consumption.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d9/d34/_consumption_8cpp.html</filename>
    <includes id="d4/daf/_consumption_8h" name="Consumption.h" local="yes" imported="no">Consumption.h</includes>
  </compound>
  <compound kind="file">
    <name>DailyOverview.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d1/da7/_daily_overview_8cpp.html</filename>
    <includes id="db/d61/_daily_overview_8h" name="DailyOverview.h" local="yes" imported="no">DailyOverview.h</includes>
  </compound>
  <compound kind="file">
    <name>DateTime.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d5/df0/_date_time_8cpp.html</filename>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
  </compound>
  <compound kind="file">
    <name>EmailSender.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d4/dad/_email_sender_8cpp.html</filename>
    <includes id="d8/de4/_email_sender_8h" name="EmailSender.h" local="yes" imported="no">EmailSender.h</includes>
  </compound>
  <compound kind="file">
    <name>FreeMemoryMeasurement.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d0/db3/_free_memory_measurement_8cpp.html</filename>
    <includes id="d2/dec/_free_memory_measurement_8h" name="FreeMemoryMeasurement.h" local="yes" imported="no">FreeMemoryMeasurement.h</includes>
  </compound>
  <compound kind="file">
    <name>HighLeakDetection.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>df/d25/_high_leak_detection_8cpp.html</filename>
    <includes id="d9/dc9/_high_leak_detection_8h" name="HighLeakDetection.h" local="yes" imported="no">HighLeakDetection.h</includes>
  </compound>
  <compound kind="file">
    <name>HTMLDataSource.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>de/d17/_h_t_m_l_data_source_8cpp.html</filename>
    <includes id="d9/dde/_h_t_m_l_data_source_8h" name="HTMLDataSource.h" local="yes" imported="no">HTMLDataSource.h</includes>
  </compound>
  <compound kind="file">
    <name>LCDController.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>df/d88/_l_c_d_controller_8cpp.html</filename>
    <includes id="d5/d3c/_l_c_d_controller_8h" name="LCDController.h" local="yes" imported="no">LCDController.h</includes>
  </compound>
  <compound kind="file">
    <name>LeaksController.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>da/ddc/_leaks_controller_8cpp.html</filename>
    <includes id="de/d65/_leaks_controller_8h" name="LeaksController.h" local="yes" imported="no">LeaksController.h</includes>
  </compound>
  <compound kind="file">
    <name>Logger.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>de/d27/_logger_8cpp.html</filename>
    <includes id="d6/dec/_logger_8h" name="Logger.h" local="yes" imported="no">Logger.h</includes>
  </compound>
  <compound kind="file">
    <name>LowLeakDetection.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d9/d63/_low_leak_detection_8cpp.html</filename>
    <includes id="d1/d80/_low_leak_detection_8h" name="LowLeakDetection.h" local="yes" imported="no">LowLeakDetection.h</includes>
  </compound>
  <compound kind="file">
    <name>main.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>df/d0a/main_8cpp.html</filename>
    <includes id="de/d93/_setup_8h" name="Setup.h" local="yes" imported="no">Setup.h</includes>
    <includes id="d4/d0f/_pins_8h" name="Pins.h" local="yes" imported="no">Pins.h</includes>
    <includes id="df/d35/_limits_definition_8h" name="LimitsDefinition.h" local="yes" imported="no">LimitsDefinition.h</includes>
    <includes id="df/da8/_date_time_8h" name="DateTime.h" local="yes" imported="no">DateTime.h</includes>
    <includes id="d8/de4/_email_sender_8h" name="EmailSender.h" local="yes" imported="no">EmailSender.h</includes>
    <includes id="db/d61/_daily_overview_8h" name="DailyOverview.h" local="yes" imported="no">DailyOverview.h</includes>
    <includes id="d2/dec/_free_memory_measurement_8h" name="FreeMemoryMeasurement.h" local="yes" imported="no">FreeMemoryMeasurement.h</includes>
    <includes id="dc/d7d/_pulse_counter_8h" name="PulseCounter.h" local="yes" imported="no">PulseCounter.h</includes>
    <includes id="de/d65/_leaks_controller_8h" name="LeaksController.h" local="yes" imported="no">LeaksController.h</includes>
    <includes id="de/dcf/_a_leak_detectable_8h" name="ALeakDetectable.h" local="yes" imported="no">ALeakDetectable.h</includes>
    <includes id="d9/dc6/_leak_detection_config_8h" name="LeakDetectionConfig.h" local="yes" imported="no">LeakDetectionConfig.h</includes>
    <includes id="d9/dc9/_high_leak_detection_8h" name="HighLeakDetection.h" local="yes" imported="no">HighLeakDetection.h</includes>
    <includes id="d1/d80/_low_leak_detection_8h" name="LowLeakDetection.h" local="yes" imported="no">LowLeakDetection.h</includes>
    <includes id="d2/d3b/_total_leak_detection_8h" name="TotalLeakDetection.h" local="yes" imported="no">TotalLeakDetection.h</includes>
    <member kind="function">
      <type>void</type>
      <name>applyDefaultSettings</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a7b4fdbf6473d99c0e86d2b45b4da7084</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; String &gt;</type>
      <name>split</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a4f54409e3b584319f2e99c98aa360c18</anchor>
      <arglist>(String &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>createHighLeakDetection</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a920a78168775e0c96344e97c2918a27f</anchor>
      <arglist>(String data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>createLowLeakDetection</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a1ee366bdb16a31837de91fe7e80fd4cd</anchor>
      <arglist>(String data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>createTotalLeakDetection</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a6cdfc16dd5355727d8b83525a7cfd4c8</anchor>
      <arglist>(String data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>setSettingsNotification</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a01c0b688c604f7a0ff8aa915f2dadd2c</anchor>
      <arglist>(String data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadSettings</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a1165e1d4439a045e94970c9fbc73bb3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setup</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a4fc01d736fe50cf5b977f755b675f11d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loop</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>afe461d27b9c48d5921c00d521181f12f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>PulseCounter</type>
      <name>pulseCounter</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a7f88fa46c3f307317663dd56303603bc</anchor>
      <arglist>(SENSOR_PIN)</arglist>
    </member>
    <member kind="variable">
      <type>std::vector&lt; IControllable * &gt;</type>
      <name>controllers</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>afd44b858fcc35e2f168040a2ff053407</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>HighLeakDetection *</type>
      <name>highLeakDetection</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>ab40eb91b98b089c6acd980ea45fb8d3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LowLeakDetection *</type>
      <name>lowLeakDetection</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>a8f5555472258134bd617cd79f251779d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TotalLeakDetection *</type>
      <name>totalLeakDetection</name>
      <anchorfile>df/d0a/main_8cpp.html</anchorfile>
      <anchor>af31eb94335b5be9e33d84e51babe7a09</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>PulseCounter.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>dd/db7/_pulse_counter_8cpp.html</filename>
    <includes id="dc/d7d/_pulse_counter_8h" name="PulseCounter.h" local="yes" imported="no">PulseCounter.h</includes>
  </compound>
  <compound kind="file">
    <name>PulseGenerator.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>de/d1f/_pulse_generator_8cpp.html</filename>
    <includes id="dd/d53/_pulse_generator_8h" name="PulseGenerator.h" local="yes" imported="no">PulseGenerator.h</includes>
  </compound>
  <compound kind="file">
    <name>TimePeriod.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>da/d41/_time_period_8cpp.html</filename>
    <includes id="d4/ded/_time_period_8h" name="TimePeriod.h" local="yes" imported="no">TimePeriod.h</includes>
  </compound>
  <compound kind="file">
    <name>TotalLeakDetection.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d5/d7e/_total_leak_detection_8cpp.html</filename>
    <includes id="d2/d3b/_total_leak_detection_8h" name="TotalLeakDetection.h" local="yes" imported="no">TotalLeakDetection.h</includes>
  </compound>
  <compound kind="file">
    <name>WebServer.cpp</name>
    <path>/home/silhavyj/tmp/BP_silhavyj_A17B0362P/Home-Water-Leaks-Detection/src/</path>
    <filename>d5/d54/_web_server_8cpp.html</filename>
    <includes id="df/dec/_web_server_8h" name="WebServer.h" local="yes" imported="no">WebServer.h</includes>
  </compound>
  <compound kind="class">
    <name>ALeakDetectable</name>
    <filename>d4/ddb/class_a_leak_detectable.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Type</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae6745061ffad51af275ab25922515a4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Low</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae6745061ffad51af275ab25922515a4babf4136fe15738b0303eca4b6e9dc80dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>High</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae6745061ffad51af275ab25922515a4ba86a265585ff50adc322a60bb4ef4f272</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Total</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae6745061ffad51af275ab25922515a4baf9d57fb4aeedca96f122c2e9f497b844</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Low</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae6745061ffad51af275ab25922515a4babf4136fe15738b0303eca4b6e9dc80dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>High</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae6745061ffad51af275ab25922515a4ba86a265585ff50adc322a60bb4ef4f272</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Total</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae6745061ffad51af275ab25922515a4baf9d57fb4aeedca96f122c2e9f497b844</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ALeakDetectable</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a7c39d8064cc2214bcad7ce9f2f32dc98</anchor>
      <arglist>(PulseCounter *pulseCounter, Type type, LeakDetectionConfig_t normalConfig, LeakDetectionConfig_t alarmConfig)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ALeakDetectable</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a43f920598a56349b9ca6d52019f17bd8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>isActive</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a66e13d3fe56f3eda492a3f5de1fadf82</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeStateOfHomeAlarm</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a95c45e4871da55ee8157f44d719cfff8</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>LeakDetectionConfig_t</type>
      <name>getAlarmConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a9281637a67c2db2725359ce61d853729</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>LeakDetectionConfig_t</type>
      <name>getNormalConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a1405edfbeddf2ea741da853458cd24a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual String</type>
      <name>getFormatOfSettingsToSave</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a97489b70293cf88145f497a1896695a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateNormalConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a634242824094e9bd1bed091b7d34ec82</anchor>
      <arglist>(LeakDetectionConfig_t newNormalConfig)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateAlarmConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>af9bf5a3573e629067e5db71d3c837ef2</anchor>
      <arglist>(LeakDetectionConfig_t newAlarmConfig)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>update</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a43eb6487acffe9b22024c48f1da8f010</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>reset</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a89489fa83b23518cccd64a6f268d77a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>applyNewConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a0d88702a9ccfad66dc0136c9d4585652</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>String</type>
      <name>getType</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae2185de03161897af1e63c0b7e0e9712</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PulseCounter *</type>
      <name>pulseCounter</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a51cb1296309b26683c7744a90fc9c033</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LeakDetectionConfig_t</type>
      <name>normalConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a3c23568fa0c39f78424708f38f8953e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LeakDetectionConfig_t</type>
      <name>alarmConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ae921fdd71450c3188ac24da19d926c47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LeakDetectionConfig_t *</type>
      <name>config</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a9e4f264f13a0a7a31eb54331d44a567f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>bypass</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>ab2ab9ff3ec8f558ee523f5906db2bba9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>oldBypassValue</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a9eb345e100d711f8475005a9114c84b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>active</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>aaba1fb2258fb8e0597671fc2620e5a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>stateOfHomeAlarm</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>abdca513d9d00c28555184b51ba73aa42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>detected</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a69f651db0de6dd753e44c4c5fdc1e1a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>resetWhenDetected</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>aca0489656d67179da50b6010cbbcb91d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>String</type>
      <name>timeOfDetection</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a7c9e42416155f41cd985e18a9ed3f833</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Type</type>
      <name>type</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a10b4b1e70eb661994d61fce60779ad69</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LeakDetectionConfig_t</type>
      <name>newNormalConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a730f4af6a761ef618eb8b4f6038182e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>LeakDetectionConfig_t</type>
      <name>newAlarmConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a0e170d0584c86fe5a5581cc1c4987351</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>requestUpdateNormalConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a8294be014afb44dc7052b127da290b30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>requestUpdateAlarmConfig</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a000b2af7c12c162c834aa607af0830d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private" virtualness="pure">
      <type>virtual void</type>
      <name>testActiveLeak</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a8bdfe7fb4e28e1dfda69c185a6ace93c</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="private" virtualness="pure">
      <type>virtual void</type>
      <name>testResetLeak</name>
      <anchorfile>d4/ddb/class_a_leak_detectable.html</anchorfile>
      <anchor>a556a84b75c676a18b39b4ab72661c6ce</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Button</name>
    <filename>d4/d77/class_button.html</filename>
    <member kind="function">
      <type></type>
      <name>Button</name>
      <anchorfile>d4/d77/class_button.html</anchorfile>
      <anchor>a620636a7ceb997d5b8fccc95ef6aa246</anchor>
      <arglist>(int pin)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>isPressed</name>
      <anchorfile>d4/d77/class_button.html</anchorfile>
      <anchor>a9e49d71c9f36de7c2ed25b08e405f25a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>pin</name>
      <anchorfile>d4/d77/class_button.html</anchorfile>
      <anchor>a865554067923011b7b24db0ea95c4104</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>currentInputValue</name>
      <anchorfile>d4/d77/class_button.html</anchorfile>
      <anchor>ad4eca62c38ed4a4cc3b288472608716b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>previousInputValue</name>
      <anchorfile>d4/d77/class_button.html</anchorfile>
      <anchor>a747260e9587900c5b71638c0ff79ce34</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Consumption</name>
    <filename>da/dfe/class_consumption.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Type</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>ab4f24bae43015263fd64bd04ccf78e17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DAY</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>ab4f24bae43015263fd64bd04ccf78e17afb42a2e5a2a58ba8b0b50c1b81b596fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WEEK</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>ab4f24bae43015263fd64bd04ccf78e17ae4c879e1f373f58522b2783f21ef1663</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MONTH</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>ab4f24bae43015263fd64bd04ccf78e17ada877ebc5ae6ff23a7868feeed218bfa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DAY</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>ab4f24bae43015263fd64bd04ccf78e17afb42a2e5a2a58ba8b0b50c1b81b596fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WEEK</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>ab4f24bae43015263fd64bd04ccf78e17ae4c879e1f373f58522b2783f21ef1663</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MONTH</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>ab4f24bae43015263fd64bd04ccf78e17ada877ebc5ae6ff23a7868feeed218bfa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Consumption</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>a00fcc409827ce77ff05a6b80e8c497d9</anchor>
      <arglist>(PulseCounter *pulseCounter, Type type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>a62720d2c9dda9963234a5ff30cfe217a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getConsumptionCount</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>a5c4d11191274856862977d6e21b31b73</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PulseCounter *</type>
      <name>pulseCounter</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>a7dafcb2070bcc98a46d3bb6b4b309330</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>RTCDateTime</type>
      <name>initialDateTime</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>aaf301654347a7be3c6de73241a9535df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>count</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>a9497145c396ae2a6d2b35e02ef09648b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Type</type>
      <name>type</name>
      <anchorfile>da/dfe/class_consumption.html</anchorfile>
      <anchor>a5ef5d5d2b2ec40f627da43560b022ada</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DailyOverview</name>
    <filename>d5/dac/class_daily_overview.html</filename>
    <base>IControllable</base>
    <base>IDisplayable</base>
    <member kind="function">
      <type></type>
      <name>DailyOverview</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>ad058cb1c05c4cc85625dea34a677bb91</anchor>
      <arglist>(HighLeakDetection *highLeakDetection, LowLeakDetection *lowLeakDetection, TotalLeakDetection *totalLeakDetection, Consumption *dailyConsumption, Consumption *monthlyConsumption)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>abffb7f7386fbfb49a3bd6bf7584d1ae2</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getRow</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>abc574e681466872c09f657c8548a2736</anchor>
      <arglist>(int row) const override</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>reset</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>acac56cb92e13838007f90ecb955abed7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>HighLeakDetection *</type>
      <name>highLeakDetection</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a5c98399c9fc4a7cc6c06660abb202c27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>LowLeakDetection *</type>
      <name>lowLeakDetection</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a7eadc7168ff1dc22683c9c5cb21c390e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TotalLeakDetection *</type>
      <name>totalLeakDetection</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>afcce44de408e4ece7ca63e932482bb30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Consumption *</type>
      <name>dailyConsumption</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a919acc0ff84023d6c2be258ca1ca23a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Consumption *</type>
      <name>monthlyConsumption</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a61b723babc8681591a6080793b878c91</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>RTCDateTime</type>
      <name>initialDateTime</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a627187dfc31392ea69ea13bc57cb274e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>float</type>
      <name>maxHighLeakPercentage</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a9e11114623d5fd05d1b3d1c1eb92449b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>float</type>
      <name>maxLowLeakPercentage</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a571190314a03a378302b807b61a40dfb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>float</type>
      <name>maxTotalLeakPercentage</name>
      <anchorfile>d5/dac/class_daily_overview.html</anchorfile>
      <anchor>a213e5051dd5109e37e078e00425272a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DateTime</name>
    <filename>d7/d85/class_date_time.html</filename>
    <base>HTMLDataSource</base>
    <member kind="function">
      <type>String</type>
      <name>getDateTimeStr</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a0c69f70607deb609f0170de5cec308cc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>String</type>
      <name>getDateStr</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a49f64ab97e853251a1047724f6954467</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>String</type>
      <name>getTimeStr</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>af9918e40f1031b41e0d0a30da1122bcd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>RTCDateTime</type>
      <name>getDateTime</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>af30973b4cb4ec1dc34b1572beb0335b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>ac30ad89445be3c4a674b04c67113ec7d</anchor>
      <arglist>(const int id) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DateTime *</type>
      <name>getInstance</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a9b3a847325978fa27432ade70be03e5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DateTime</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a3ccfb87f7a2e9683b91964e32d907161</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>~DateTime</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a5c46d6432c6df5d550603b529e825dc5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>DateTime</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a0968c3e30067cf7b91864ce42150aef6</anchor>
      <arglist>(DateTime const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>DateTime &amp;</type>
      <name>operator=</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a55e76c5f2952756d5e8d1895d1a7d091</anchor>
      <arglist>(DateTime const &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>DS3231</type>
      <name>rtc</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a9718b95db9e0f5ef523135f0b5e61425</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>String</type>
      <name>startDate</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a820019e3b000d4025800b483aaf873d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>String</type>
      <name>startTime</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a54055f63ae7d7f17b4c96480169a3270</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::map&lt; int, String(*)(const DateTime &amp;dateTime)&gt;</type>
      <name>htmlData</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>ada2024b05ccd19bf25e0d324f818037d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private" static="yes">
      <type>static DateTime *</type>
      <name>instance</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a009c170aed82230e56fa7a5bafd9899e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_startDate</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a8d7ebac6bdd3f639669c5a2a3245efcc</anchor>
      <arglist>(const DateTime &amp;dateTime)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_startTime</name>
      <anchorfile>d7/d85/class_date_time.html</anchorfile>
      <anchor>a46acfadadd535574b3270e37b0d1d83d</anchor>
      <arglist>(const DateTime &amp;dateTime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailSender</name>
    <filename>d7/d49/class_email_sender.html</filename>
    <base>HTMLDataSource</base>
    <member kind="enumeration">
      <type></type>
      <name>Type</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BOOTING</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a9558ef7099a054efa4ea9d7eb6a7a93d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DAILY_OVERVIEW</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a4e4a3a1c08e59ab383e2cec7cc128574</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LEAK_DETECTED</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1af89ea0a4ab1277a21d8339ebcf7e4214</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>VALVE_STATE</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1af52dc6a101d35ddea1d07fe32aea53ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESET</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1ae760543cb9355dcf216dd3e47052f70c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ALARM</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a007425b6fda9bf98f0bfc929f55c6250</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CHANGED_SETTINGS</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a80c83cbe5d070464835a6e85da67750c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>APPLIED_NEW_SETTING</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1af7e6741a4cd34085e1132bbe4141639b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BYPASS</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1aaef68516be9cf7f91fc1a45a0fdc058a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COUNT</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1ad2d6ff2fea639d0675614d3d7dda9e65</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BOOTING</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a9558ef7099a054efa4ea9d7eb6a7a93d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DAILY_OVERVIEW</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a4e4a3a1c08e59ab383e2cec7cc128574</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LEAK_DETECTED</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1af89ea0a4ab1277a21d8339ebcf7e4214</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>VALVE_STATE</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1af52dc6a101d35ddea1d07fe32aea53ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RESET</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1ae760543cb9355dcf216dd3e47052f70c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ALARM</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a007425b6fda9bf98f0bfc929f55c6250</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CHANGED_SETTINGS</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1a80c83cbe5d070464835a6e85da67750c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>APPLIED_NEW_SETTING</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1af7e6741a4cd34085e1132bbe4141639b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BYPASS</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1aaef68516be9cf7f91fc1a45a0fdc058a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>COUNT</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a59fe43eef88171b8a603c5e548e346d1ad2d6ff2fea639d0675614d3d7dda9e65</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendEmail</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>ac62cbceb199756637b5e27826811f267</anchor>
      <arglist>(Type type, String subject, String data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableNotification</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>abdc980bda138a5e008c7c687b3980847</anchor>
      <arglist>(Type type, bool state)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiverEmailAddress</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>ac65cc72fec7cfe9ad2897950849202d6</anchor>
      <arglist>(String email)</arglist>
    </member>
    <member kind="function">
      <type>String</type>
      <name>getFormatOfSettingsToSave</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a5e15dc105e5aa201452ef09a705474e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>aee99c1d391bea10427d35a36f28e74a1</anchor>
      <arglist>(const int id) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static EmailSender *</type>
      <name>getInstance</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a98754c13929a58d09c2851784276265f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>EmailSender</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a1a91ba477d1679d0e28b10a0ae1e48d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>~EmailSender</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>ac1e17b5ac9664b0dc45de6978a51ba11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>EmailSender</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a6b083dedf2355976dc8290e19a21191f</anchor>
      <arglist>(EmailSender const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>EmailSender &amp;</type>
      <name>operator=</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>ad7221003b30af26635e7a98f662e8a3a</anchor>
      <arglist>(EmailSender const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>setEthernet</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a8ab2fed31aee7149e9793b9a7bdfcfe0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>byte</type>
      <name>eRcv</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a04d1172f7141eea0c7ef05fc0f334f3e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>efail</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a824b25f4af57eb2e7857c1cf6ada8a4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>byte</type>
      <name>sendEmail</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>ae1cc12730c2038d370f4d0b47a0b22a0</anchor>
      <arglist>(String subject, String data)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::map&lt; Type, bool &gt;</type>
      <name>enabled</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a7db5381b41a9da4d7a4e1baba0082f2d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>EthernetClient</type>
      <name>client</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>acfc0a50666d17d7e6ac29d02ab6b97d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>byte</type>
      <name>mac</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>adefdb0cbbed373ed53abb49bf22912c0</anchor>
      <arglist>[6]</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>String</type>
      <name>receiverEmailAddress</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a495de109c261dd7548a28ba307d0eab5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::map&lt; int, String(*)(const EmailSender &amp;leaksController)&gt;</type>
      <name>htmlData</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>afd6f06506d5088337adabcc76bc0bf61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private" static="yes">
      <type>static EmailSender *</type>
      <name>instance</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a6f85681433095cca1b16827fff29a9c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_BOOTING</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a1085c64aaec1e1111958a2450ae9f72b</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_DAILY_OVERVIEW</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a69c4cb43b997e65753bc130040d942dc</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_LEAK_DETECTED</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a7f0c08762331320198adbe334c7e2b60</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_VALVE_STATE</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>aa9f54f5825d804986cad2a4e0e61a0d3</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_RESET</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a0853c5010b859606d42442f18ad703fb</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_ALARM</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a210434a4ffc9cc6c14db3694f6fc8a8f</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_CHANGED_SETTINGS</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a1550335e78451765854c5e5a9d02fad8</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_APPLIED_NEW_SETTING</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a6ba6e9e707f68d5673fdcfc7be7ea0fb</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_Notification_BYPASS</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a3e531b6781418ec90d5f801394625f70</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_ReceiverEmailAddress</name>
      <anchorfile>d7/d49/class_email_sender.html</anchorfile>
      <anchor>a71be0baebaf9393d98906db356c67045</anchor>
      <arglist>(const EmailSender &amp;emailSender)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FreeMemoryMeasurement</name>
    <filename>db/d17/class_free_memory_measurement.html</filename>
    <base>HTMLDataSource</base>
    <base>IDisplayable</base>
    <member kind="function">
      <type>const String</type>
      <name>getRow</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a9420532ce1ccd42aad10937da26c5b3f</anchor>
      <arglist>(int row) const override</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a57a9ab86200866a8a5be34e118a21af2</anchor>
      <arglist>(const int id) const override</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FreeMemoryMeasurement *</type>
      <name>getInstance</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>acfaf7e448ea86bc24c95e5efe0bac949</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>FreeMemoryMeasurement</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a29dc4c84c526a6996af37a70f58a3455</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>FreeMemoryMeasurement</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a050c947ec2bce4211431d1c48bc2dced</anchor>
      <arglist>(FreeMemoryMeasurement const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>FreeMemoryMeasurement &amp;</type>
      <name>operator=</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a5fe3c1c5a5e6320e508cac44216de2ec</anchor>
      <arglist>(FreeMemoryMeasurement const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>getFreeRAM</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>aa7f6493be6a1a7fd662b524a370e314c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::map&lt; int, String(*)(const FreeMemoryMeasurement &amp;freeMemoryMeasurement)&gt;</type>
      <name>htmlData</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a38868ad3ca3c097a061342eefe1b24f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private" static="yes">
      <type>static FreeMemoryMeasurement *</type>
      <name>instance</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a0f007c6ea1ee155f26edcfa63f86643c</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_freeRAM</name>
      <anchorfile>db/d17/class_free_memory_measurement.html</anchorfile>
      <anchor>a507d85d4c5004101266afa1c81372284</anchor>
      <arglist>(const FreeMemoryMeasurement &amp;freeMemoryMeasurement)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HighLeakDetection</name>
    <filename>da/db9/class_high_leak_detection.html</filename>
    <base>ALeakDetectable</base>
    <base>HTMLDataSource</base>
    <base>IDisplayable</base>
    <member kind="function">
      <type></type>
      <name>HighLeakDetection</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a1b3033e265f2055db5daeb2d7cd13390</anchor>
      <arglist>(PulseCounter *pulseCounter, Type type, LeakDetectionConfig_t normalConfig, LeakDetectionConfig_t alarmConfig)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HighLeakDetection</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a38c35006c6fd6bafa9a847378613c218</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>aac1cbfcc2f0c0cb61a6ad626084adda7</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>af40e1107003312d5be4bfd5d245d6b44</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>String</type>
      <name>getFormatOfSettingsToSave</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>ac2d219f1f26a1250d391d4e5fab5fcba</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>getPercentLeakDetectionReset</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>afac511db161712c48fb3304beaa4f8d1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>getPercentLeakDetected</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a84d82b870d3fd8bb8b139aab5af6811e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getRow</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>af4e0cf40053954774427d3f3c264bf08</anchor>
      <arglist>(int row) const override</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>ab7da032b487a326a55a1267111ebdb72</anchor>
      <arglist>(const int id) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>testActiveLeak</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>ac67b7395c0a9f9c28bbb1db076fd2014</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>testResetLeak</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a301e5ce8a14f01a7125ce83659c398f5</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>pulseCount</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a68a448be708a5ef5a7496cfffa6106ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::map&lt; int, String(*)(const HighLeakDetection &amp;highLeakDetection)&gt;</type>
      <name>htmlData</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a732bc20d5e7e0d83c03786c60048a659</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_bypass</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>ad18b97e47e3cdd9e9f4aacba097107b6</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detected</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>ae7571f31fe935e1c4815316d4ce1993d</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedText</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a7a0a691a288d987e5ed60f9a564c5a0d</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedTime</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a761390a9bcfc2d31730912a5d7492e8a</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_activePercentage</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a76756a512af52ab0c6aabcde742f50f2</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_activePercentageColor</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a61270cfb754a4a8117ca12323bf12485</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetPercentage</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a4771570ff22c0cc3c4a699f1c4b8a4b5</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectionLimit</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a36d8777820ec5b7369d97b646bb0af9d</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitDays</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>afe22151851fbcb37da6ba36d43038823</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitHours</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a1552647e8880f23eed867c2718fc4bf7</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitMins</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>ab08b7a1d75196cbd1810a471aed61ad5</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitSecs</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>aab906398217014700d64a330f69d7830</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectionLimitAlarm</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a3274f60ce195ba471feb3b90ec5caa87</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitDaysAlarm</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>aaf3c3175b0eeede1927b64a4b417d4cf</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitHoursAlarm</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a0d9aea170eb22ae9e2a182d4dd588160</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitMinsAlarm</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>a94d9ee69816bdd5499a4e891b8a0e236</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitSecsAlarm</name>
      <anchorfile>da/db9/class_high_leak_detection.html</anchorfile>
      <anchor>af091f594652f96bba6ae97eba81cd188</anchor>
      <arglist>(const HighLeakDetection &amp;highLeakDetection)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HTMLDataSource</name>
    <filename>dd/d44/class_h_t_m_l_data_source.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual const String</type>
      <name>getHTMLData</name>
      <anchorfile>dd/d44/class_h_t_m_l_data_source.html</anchorfile>
      <anchor>aca85bbdb3fa625b50e8d83cca039d60b</anchor>
      <arglist>(const int id) const =0</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const String</type>
      <name>UNDEFINED_DATA</name>
      <anchorfile>dd/d44/class_h_t_m_l_data_source.html</anchorfile>
      <anchor>aebefdbb385841c1e3b743597f0987936</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IControllable</name>
    <filename>d7/dce/class_i_controllable.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>update</name>
      <anchorfile>d7/dce/class_i_controllable.html</anchorfile>
      <anchor>aa958b1187d3ca43d44c5a1b4bfbe6c7b</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IDisplayable</name>
    <filename>d1/d44/class_i_displayable.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual const String</type>
      <name>getRow</name>
      <anchorfile>d1/d44/class_i_displayable.html</anchorfile>
      <anchor>ac7ac4fcdee733e5acf580ef6d10d677c</anchor>
      <arglist>(int row) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ILoggable</name>
    <filename>d9/d9f/class_i_loggable.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual const String</type>
      <name>getLogDescription</name>
      <anchorfile>d9/d9f/class_i_loggable.html</anchorfile>
      <anchor>a1a173e9a92140f3f27d0a2fb63eb0fc4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const String</type>
      <name>getLogID</name>
      <anchorfile>d9/d9f/class_i_loggable.html</anchorfile>
      <anchor>ae9d83111b4b4de41d6676ae8bbde354b</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LCDController</name>
    <filename>d0/d94/class_l_c_d_controller.html</filename>
    <base>IControllable</base>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>a10389f2e4e03d393f40c039cf8264dc3</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addItem</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>a4fb8cd4ddf7ad3657a5a700e31b6c0ee</anchor>
      <arglist>(IDisplayable *item)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static LCDController *</type>
      <name>getInstance</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>a6afa17c3aad792bbf279eee0fc3fceca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>LCDController</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>afbadd5005f2c77da8208c84766f2d776</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>LCDController</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>a27e2eae32818db2133a86c7235225bb7</anchor>
      <arglist>(LCDController const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>LCDController &amp;</type>
      <name>operator=</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>a55f99c55545c0633986cb5b81e10fc3f</anchor>
      <arglist>(LCDController const &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>LiquidCrystal_I2C</type>
      <name>lcd</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>aaf718247d4a5dfc31bb9d9d5cf35d276</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::vector&lt; IDisplayable * &gt;</type>
      <name>items</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>a09085b03b578200d48c26543e3f42d58</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TimePeriod</type>
      <name>delay</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>aa7c5da925c18051a061292bed90e8bcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>index</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>a53706d5b206799fda22e26ab88b9a2fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private" static="yes">
      <type>static LCDController *</type>
      <name>instance</name>
      <anchorfile>d0/d94/class_l_c_d_controller.html</anchorfile>
      <anchor>accfe3c4f6fa2d1cd1072c8384b85255c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>LeakDetectionConfig_t</name>
    <filename>db/dd4/struct_leak_detection_config__t.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>db/dd4/struct_leak_detection_config__t.html</anchorfile>
      <anchor>a3ae4026a205dcbe9a8c54c325cbc4dc7</anchor>
      <arglist>(const LeakDetectionConfig_t &amp;other) const</arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>limitResetTime</name>
      <anchorfile>db/dd4/struct_leak_detection_config__t.html</anchorfile>
      <anchor>a0db3e83cba94764ee192fb7fa1535221</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>time_t</type>
      <name>limitActionTime</name>
      <anchorfile>db/dd4/struct_leak_detection_config__t.html</anchorfile>
      <anchor>a9d9e90594105f0d992aa3be44c8e22c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>limitPulseAction</name>
      <anchorfile>db/dd4/struct_leak_detection_config__t.html</anchorfile>
      <anchor>a5ca94de8250bf26be0890cff82a8d230</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>bypassPin</name>
      <anchorfile>db/dd4/struct_leak_detection_config__t.html</anchorfile>
      <anchor>a4ed465823e6d1fe10336074721a9cb23</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LeaksController</name>
    <filename>da/d5a/class_leaks_controller.html</filename>
    <base>IControllable</base>
    <base>HTMLDataSource</base>
    <base>IDisplayable</base>
    <member kind="function">
      <type>void</type>
      <name>addLeakDetection</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a4284151785602a136e68bdb8a863c467</anchor>
      <arglist>(ALeakDetectable::Type type, ALeakDetectable *leak)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getNumberOfLeakDetections</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>ab36c290e7e387864d536b5daf40060fe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeSettings</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>acb4cf10ab27d4a25fbac6f8c40032350</anchor>
      <arglist>(ALeakDetectable::Type type, unsigned long detected, unsigned long reset, bool alarm)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPulseCounter</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>aad68db6ddf52324eff94888eaa001ba5</anchor>
      <arglist>(PulseCounter *pulseCounter)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a38e8dd343109afed1ca94a3e72a82f63</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>String</type>
      <name>getFormatOfSettingsToSave</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>aad947cca0c750298e7d3843949c5d839</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getRow</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a8241a8b49937ab327a594a5afcfb5fd9</anchor>
      <arglist>(int row) const override</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a96179551781323725be0588adcb68c08</anchor>
      <arglist>(const int id) const override</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDailyConsumptionCounter</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a198641351af5356564d3f95728c725d4</anchor>
      <arglist>(Consumption *dailyConsumptionCounter)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMonthlyConsumptionCounter</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a99d2a6911d8f8cf1564be6f12edf6f06</anchor>
      <arglist>(Consumption *monthlyConsumptionCounter)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static LeaksController *</type>
      <name>getInstance</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a4c7005a25c2c04ebf0e2c534e8d23db3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>LeaksController</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a2cf495c307cc8a299adea34f059e29ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>LeaksController</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a495a050cdce1057885488fe61deb6f37</anchor>
      <arglist>(LeaksController const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>LeaksController &amp;</type>
      <name>operator=</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>acdc066c15fd6c07f4fcd98e9eb747062</anchor>
      <arglist>(LeaksController const &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::map&lt; ALeakDetectable::Type, ALeakDetectable * &gt;</type>
      <name>leaks</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a98635e990e4e9001136803292644f3fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Button</type>
      <name>manualResetButton</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>af9283135639acec1d05486f843b0ce18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>valveState</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a24a80492e650cec946fecc51f2c537f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>stateOfHomeAlarm</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a02058ed3b53f70c74314e792016ecdd1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>manualValveClose</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>aa0632b68455bd9844bb7030daa63227b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PulseCounter *</type>
      <name>pulseCounter</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>ad4b9c18500625159b53b77dd155c76b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Consumption *</type>
      <name>dailyConsumptionCounter</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a66fc5d3d111635275318bbf2952fb730</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Consumption *</type>
      <name>monthlyConsumptionCounter</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a44dc7efa7a5629cdf65051128797c88a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::map&lt; int, String(*)(const LeaksController &amp;leaksController)&gt;</type>
      <name>htmlData</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>ae8e9985cfb4164019a8004bed220787d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private" static="yes">
      <type>static LeaksController *</type>
      <name>instance</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a461ef4b882c8f9ad4b16832f02e54106</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_valve</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a30733f78d9a1b4053e4a1117e4b2a3a0</anchor>
      <arglist>(const LeaksController &amp;leaksController)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_alarm</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a2fe3550576e997367d42deab2c0705b8</anchor>
      <arglist>(const LeaksController &amp;leaksController)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_manualClose</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a96d13ff462041994e00e0137c6b67ef6</anchor>
      <arglist>(const LeaksController &amp;leaksController)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_dailyConsumption</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>af0ff078f003c32cc84425efdb877aa27</anchor>
      <arglist>(const LeaksController &amp;leaksController)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_monthlyConsumption</name>
      <anchorfile>da/d5a/class_leaks_controller.html</anchorfile>
      <anchor>a1ea8e56eec7242bffa604f7bac74c319</anchor>
      <arglist>(const LeaksController &amp;leaksController)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Logger</name>
    <filename>d3/d42/class_logger.html</filename>
    <base>IControllable</base>
    <member kind="function">
      <type>void</type>
      <name>addEntity</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>a6ff1f3282c4af1889e2a7f7b85349998</anchor>
      <arglist>(ILoggable *log)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>a3dd97c1eb6571720581a655b6ac83e33</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Logger *</type>
      <name>getInstance</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>afec28ae6d7bdf8f6a0734cb20756de10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>Logger</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>abc41bfb031d896170c7675fa96a6b30c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>Logger</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>a21340fb1037a0f71c0dc659ea33678a4</anchor>
      <arglist>(Logger const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>Logger &amp;</type>
      <name>operator=</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>a26fa369e27132ca4bf478710919f6e70</anchor>
      <arglist>(Logger const &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::vector&lt; ILoggable * &gt;</type>
      <name>logs</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>a6f90cd73c498843ea4d5f8e161fb5874</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TimePeriod</type>
      <name>timePeriod</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>a1e2e1271891e56f76e7ce8c91938675f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private" static="yes">
      <type>static Logger *</type>
      <name>instance</name>
      <anchorfile>d3/d42/class_logger.html</anchorfile>
      <anchor>a5e9fd267cd621afeb1201131071425ea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LowLeakDetection</name>
    <filename>dc/db1/class_low_leak_detection.html</filename>
    <base>ALeakDetectable</base>
    <base>HTMLDataSource</base>
    <base>IDisplayable</base>
    <member kind="function">
      <type></type>
      <name>LowLeakDetection</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a2a1be6c8fc5a63681a2bbf2e0b25d63e</anchor>
      <arglist>(PulseCounter *pulseCounter, Type type, LeakDetectionConfig_t normalConfig, LeakDetectionConfig_t alarmConfig)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~LowLeakDetection</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>aa087d9ef4c586781554e85de0bdcf6a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a6f99381c093cb36380999f56a68d4216</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a04e4db3b7ff1491db3c850f076a10ec3</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>String</type>
      <name>getFormatOfSettingsToSave</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a6d1fafae0421d55e38bfec96924633e2</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>getPercentLeakDetectionReset</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a5db8c488fd7ad58c1962f8df6b97cc6c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>getPercentLeakDetected</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>aba577d235d1ad47165f3308b1182f390</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getRow</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a8aa922b385c0150331a345366c335a5f</anchor>
      <arglist>(int row) const override</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a95989fc48b4750030b9b0e407ecb5acf</anchor>
      <arglist>(const int id) const override</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::map&lt; int, String(*)(const LowLeakDetection &amp;highLeakDetection)&gt;</type>
      <name>htmlData</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>aeefae4d25217fb0db242b11b81283c7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>testActiveLeak</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>afd99afe52b2560e69ed973965f0d48f1</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>testResetLeak</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a472eb9f36abf1ac8e640d866c73fabf8</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>flipFlop</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a898ff6bc31fcd464a3b497c21f4aea32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>flipFlopSetTime</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a3c71931983bf127c14cc47d6d58e9666</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_bypass</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a6f3c81066e972d14736fbd31833e937b</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detected</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a191982d402a56c759ce2d14780aea1fa</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedText</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a845b71e9a147b3341e2b849767ea0dd1</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedTime</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a12fb1d403af9ae25679b98ccfbeeb67f</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_activePercentage</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a9dc697a0c375b3d6d247c09516a53a79</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_activePercentageColor</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a33664ad3c3eb925754e4650531d2f352</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetPercentage</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>add6bfa5ab6e8c6d0a319628924c5106d</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitDays</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a8b3128a42e2dc8664fc533fa46a01685</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitHours</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>aa5fd0179440afc48646ff165fbd3ad86</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitMins</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a78706e2ca5e6657b41b2d8158b58bf20</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitSecs</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a32637c858d2dfb2cf4a53a4c8a44c2d4</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitDays</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a3d239903777837115c2468d239aceebe</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitHours</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>aa6ce7f217a967379ab045585ba77e671</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitMins</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a5a350c6c6a14ccc8d9948396f8172c63</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitSecs</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a909ad4a3dfee258fb1c9325660d2bba0</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitDaysAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a41167de13e8b513ceb2229cf6ba75183</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitHoursAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>adec37f6fb8a693fc94250c6a9561fd5b</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitMinsAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>ae8de608d21664683900dedceced0ef71</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedLimitSecsAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a49ad8dffcfe43dc6ced922cdb8d1361a</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitDaysAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a1af9cd0a544702acf38fb0d373628b01</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitHoursAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a5d161935cf01a947481d705c68447069</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitMinsAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>a0b913110f582117d9530566d8954bfb8</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitSecsAlarm</name>
      <anchorfile>dc/db1/class_low_leak_detection.html</anchorfile>
      <anchor>abed3d560e287358d76d7b9513d793b26</anchor>
      <arglist>(const LowLeakDetection &amp;lowLeakDetection)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PulseCounter</name>
    <filename>dc/d51/class_pulse_counter.html</filename>
    <base>HTMLDataSource</base>
    <member kind="function">
      <type></type>
      <name>PulseCounter</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a86b8d394ccad8295321489c9d5f059a8</anchor>
      <arglist>(int inputPin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a3d81147a08af7e146db074002b4e091c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>isActive</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a8fbe1ab31e82c5e20b82626bd5585738</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>getLastPulseTime</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>aabcdf61bdc03109b4574da4d08d711ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a23c44f5536ea86dc774f2aa2b2b4771d</anchor>
      <arglist>(const int id) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>inputPin</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>af3300f5bd23a213284f0a62c20a1245b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>lastPulseTime</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>acae802e274a8b18a4a1137cb6d1db9d8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>previousInputValue</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a515db811be1c7875fcc7098382ae1528</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>pulseDown</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a8acd77c78e4c07f264b5c2b1b6ec08f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::map&lt; int, String(*)(const PulseCounter &amp;pulseCounter)&gt;</type>
      <name>htmlData</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a02b04ab6382ddff862183730ccc880c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_lastPulseTime</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a4ae28ae8078b65c62362b5c99513e7bc</anchor>
      <arglist>(const PulseCounter &amp;pulseCounter)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_currentTime</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a91d7d6e6285bfa36019c7de7c367a7a8</anchor>
      <arglist>(const PulseCounter &amp;pulseCounter)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_currentDate</name>
      <anchorfile>dc/d51/class_pulse_counter.html</anchorfile>
      <anchor>a71ec26fcc91ca292e8f6bad9dd400812</anchor>
      <arglist>(const PulseCounter &amp;pulseCounter)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PulseGenerator</name>
    <filename>d8/d40/class_pulse_generator.html</filename>
    <member kind="function">
      <type></type>
      <name>PulseGenerator</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>aa1a27e6a16b06e44222e87d3a8928b42</anchor>
      <arglist>(time_t delayHigh, time_t delayLow, int outputPin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>ad60eb98532f310f72b1abcf7044a6fe8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>a12b0dca3606d5cfe0c5a20f1c55dc95a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>delayHigh</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>aee352a9e2eb94adc0e3ae93d29d80350</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>delayLow</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>a97dedfc72b0b85ea6e328075a39c20e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>outputPin</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>aca141931b2460e74642eb433a0ac2b10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>value</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>ad11d4ddb0799e28b9afb2e02d0967db5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>pulseCount</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>a444e6d16447eb0faacbc8c91087aad03</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>timeLastValueChange</name>
      <anchorfile>d8/d40/class_pulse_generator.html</anchorfile>
      <anchor>a2f487135b32259c7ab4881609b8578cf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimePeriod</name>
    <filename>d5/d00/class_time_period.html</filename>
    <member kind="function">
      <type></type>
      <name>TimePeriod</name>
      <anchorfile>d5/d00/class_time_period.html</anchorfile>
      <anchor>a59e906450ab98deda7e0c61404b18938</anchor>
      <arglist>(time_t period)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>isActive</name>
      <anchorfile>d5/d00/class_time_period.html</anchorfile>
      <anchor>a2df823330b092bbe50145a718e559598</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>period</name>
      <anchorfile>d5/d00/class_time_period.html</anchorfile>
      <anchor>ae329bb5cf176b83e000cee9406d0a235</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>lastActive</name>
      <anchorfile>d5/d00/class_time_period.html</anchorfile>
      <anchor>a1bdb6cea3c7835d182ac903a36413536</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TotalLeakDetection</name>
    <filename>d0/d81/class_total_leak_detection.html</filename>
    <base>HighLeakDetection</base>
    <member kind="function">
      <type></type>
      <name>TotalLeakDetection</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a3ca4fadf2d6408f30e11a33be0a96423</anchor>
      <arglist>(PulseCounter *pulseCounter, Type type, LeakDetectionConfig_t normalConfig, LeakDetectionConfig_t alarmConfig)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TotalLeakDetection</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>ab655bf9dc8450d26e6eb4ac038994c5e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>ab2e3772bdb670a70b989f3e4e97c7385</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getRow</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a0640caf703b12b0663d991286df2ce94</anchor>
      <arglist>(int row) const override</arglist>
    </member>
    <member kind="function">
      <type>const String</type>
      <name>getHTMLData</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a3ac4a590b09735a6698a60d970b869a3</anchor>
      <arglist>(const int id) const override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>float</type>
      <name>getPercentLeakDetectionReset</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a0be944273298a35a370b65f6d59b73f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>testResetLeak</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>af4d071c23891dc06002408a7a7beff4e</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>testActiveLeak</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>aecada9ea831b9210cb2d1b1fde87f473</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::map&lt; int, String(*)(const TotalLeakDetection &amp;highLeakDetection)&gt;</type>
      <name>htmlData</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a02f1309bb9ea23c3801ccab14b930140</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>time_t</type>
      <name>startDayPulseTime</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a99239d6fd2a2be9ae76892dcd28edb79</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_bypass</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a2fe9db99e8a76838ce09bba07baad9bf</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detected</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a17bc0b10b7bc7bd87537ac880a381fb4</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedText</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a08595b748d1e62b579fe280342302e93</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectedTime</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a646ede64c75fdc7affc3e98e9ed98f5a</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_activePercentage</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a13a180270f7ff5ee3a22d385ec277b98</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_activePercentageColor</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a76f1547767a56c804a2e239238166624</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetPercentage</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>adbe4d33b2bc5c579ce31ff2d2e45f2c9</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectionLimit</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>ab122d40314b4cedb89d23f85e2ac3f90</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitDays</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>aaf1c1f6ad75d35f5ec810b1d0330b534</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitHours</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>af8ac3e6113572ae0342622bc0bca38f0</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitMins</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a417fb02f51ce8ac86b252a8a10c9f3b0</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitSecs</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a76351367b32e67d38d937039f6c0e9f1</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_detectionLimitAlarm</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>aa7deefbfffd1dfbfa337974313b5a322</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitDaysAlarm</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a08a854ff8031ba0f41148686c51bfe68</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitHoursAlarm</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>ae75194b0201fd2c818396e05f790c94d</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitMinsAlarm</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>a59bbf8b7434476be36ab3518ad91dcd3</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend String</type>
      <name>HTML_resetLimitSecsAlarm</name>
      <anchorfile>d0/d81/class_total_leak_detection.html</anchorfile>
      <anchor>aa1125dd92475ae109f52260c1f8529fa</anchor>
      <arglist>(const TotalLeakDetection &amp;totalLeakDetection)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WebServer</name>
    <filename>dd/da4/class_web_server.html</filename>
    <base>IControllable</base>
    <member kind="function">
      <type>void</type>
      <name>setup</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>aa86a70f84ffd72d2366deef4b57f75d6</anchor>
      <arglist>(LeaksController *leaksController)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a9fd7cfe6535891597bd45959a845b8d0</anchor>
      <arglist>() override</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addHTMLSource</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a0b2f1f13048c404552e997afb6cd0c37</anchor>
      <arglist>(HTMLDataSource *source)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static WebServer *</type>
      <name>getInstance</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>acec349097a1a0e368474e40ee772b7a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>WebServer</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>ad053f4e1808a3c10c7522d0dbbbc031a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>WebServer</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a698cd87a0272601f524739c5248e430a</anchor>
      <arglist>(WebServer const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>WebServer &amp;</type>
      <name>operator=</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a3f4f8816b40a11ade38f52f169560d2f</anchor>
      <arglist>(WebServer const &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>const String</type>
      <name>replaceHTMLWithData</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a24e7380e4ab3fd4d4b2a0fd048b6917c</anchor>
      <arglist>(String html) const</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>setEthernet</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>aa01dc324aeb5f8749825e444f4044fbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a64afe5c4ce9b416154e72e8b632e8aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>processHTTPRequest</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>ab7f4ed07c59e41d2659039ec6cd41387</anchor>
      <arglist>(String &amp;httpRequest)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>processHTTPRequestSettings</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>ab29b1b880705f31ce73281d9dd3bc518</anchor>
      <arglist>(int startPos, String &amp;httpRequest, int numberOfValues)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>std::vector&lt; HTMLDataSource * &gt;</type>
      <name>htmlDataSources</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a4ca8e7312f45d0e66a53f48e803e96cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>byte</type>
      <name>mac</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>ad15d32e84009ad59ca9cf9b95d9e46a9</anchor>
      <arglist>[6]</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>EthernetServer</type>
      <name>server</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a7b92cf530a256747c65f940031b8e0c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>File</type>
      <name>webFile</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a9edb8c3fb7509f4de49254d55090c4ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>String</type>
      <name>buff</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a76a3acf1055955492beefeee7b2ed464</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>LeaksController *</type>
      <name>leaksController</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a5acbb2f582bb2f1964b7a14f2d96628c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>online</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>af5f842330a3b4de63bf54fb82806362d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private" static="yes">
      <type>static WebServer *</type>
      <name>instance</name>
      <anchorfile>dd/da4/class_web_server.html</anchorfile>
      <anchor>a7ebcb72bb331c6cda99664f5a691fecd</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
