#include "Button.h"

Button::Button(int pin) {
    this->pin = pin;

    currentInputValue = 0;
    previousInputValue = 0;
}

int Button::isPressed() {
    int state = LOW;
    currentInputValue = digitalRead(pin);

    if (currentInputValue == HIGH && previousInputValue == LOW)
        state = HIGH;

    previousInputValue = currentInputValue;
    return state;
}
