#include "TimePeriod.h"

TimePeriod::TimePeriod(time_t period) {
    this->period = period;
}

int TimePeriod::isActive() {
    time_t currentTime = millis();
    if ((time_t)(currentTime - lastActive) >= period) {
        lastActive = currentTime;
        return true;
    }
    return false;
}
